OpenShot Audio Library | OpenShotAudio: juce::dsp::DryWetMixer< SampleType > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
juce::dsp::DryWetMixer< SampleType > Class Template Reference

`#include <juce_DryWetMixer.h>`

## Public Types
using | MixingRule = DryWetMixingRule

## Public Member Functions
| DryWetMixer ()
| DryWetMixer (int maximumWetLatencyInSamples)
void | setMixingRule (MixingRule newRule)
void | setWetMixProportion (SampleType newWetMixProportion)
void | setWetLatency (SampleType wetLatencyInSamples)
void | prepare (const ProcessSpec &spec)
void | reset ()
void | pushDrySamples (const AudioBlock< const SampleType > drySamples)
void | mixWetSamples (AudioBlock< SampleType > wetSamples)

## Detailed Description

template<typename SampleType>
class juce::dsp::DryWetMixer< SampleType >

A processor to handle dry/wet mixing of two audio signals, where the wet signal may have additional latency.

Once a DryWetMixer object is configured, push the dry samples using pushDrySamples and mix into the fully wet samples using mixWetSamples.

Definition at line 51 of file juce_DryWetMixer.h.

## Member Typedef Documentation

## ◆ MixingRule

template<typename SampleType >

using juce::dsp::DryWetMixer< SampleType >::MixingRule = DryWetMixingRule

Definition at line 55 of file juce_DryWetMixer.h.

## Constructor & Destructor Documentation

## ◆ DryWetMixer() [1/2]

template<typename SampleType >

juce::dsp::DryWetMixer< SampleType >::DryWetMixer | ( |  | ) |

Default constructor.

Definition at line 31 of file juce_DryWetMixer.cpp.

## ◆ DryWetMixer() [2/2]

template<typename SampleType >

juce::dsp::DryWetMixer< SampleType >::DryWetMixer | ( | int | maximumWetLatencyInSamples | ) |
| explicit

Constructor.

Definition at line 37 of file juce_DryWetMixer.cpp.

## Member Function Documentation

## ◆ mixWetSamples()

template<typename SampleType >

void juce::dsp::DryWetMixer< SampleType >::mixWetSamples | ( | AudioBlock< SampleType > | wetSamples | ) |

Mixes the supplied wet samples with the latency-compensated dry samples from pushDrySamples.

Parameters

  wetSamples | Input: The AudioBlock references fully wet samples. Output: The AudioBlock references the wet samples mixed with the latency compensated dry samples.

See also
  pushDrySamples

Definition at line 127 of file juce_DryWetMixer.cpp.

## ◆ prepare()

template<typename SampleType >

void juce::dsp::DryWetMixer< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the processor.

Definition at line 72 of file juce_DryWetMixer.cpp.

## ◆ pushDrySamples()

template<typename SampleType >

void juce::dsp::DryWetMixer< SampleType >::pushDrySamples | ( | const AudioBlock< const SampleType > | drySamples | ) |

Copies the dry path samples into an internal delay line.

Definition at line 100 of file juce_DryWetMixer.cpp.

## ◆ reset()

template<typename SampleType >

void juce::dsp::DryWetMixer< SampleType >::reset | ( |  | ) |

Resets the internal state variables of the processor.

Definition at line 87 of file juce_DryWetMixer.cpp.

Referenced by juce::dsp::DryWetMixer< SampleType >::DryWetMixer().

## ◆ setMixingRule()

template<typename SampleType >

void juce::dsp::DryWetMixer< SampleType >::setMixingRule | ( | MixingRule | newRule | ) |

Sets the mix rule.

Definition at line 49 of file juce_DryWetMixer.cpp.

## ◆ setWetLatency()

template<typename SampleType >

void juce::dsp::DryWetMixer< SampleType >::setWetLatency | ( | SampleType | wetLatencyInSamples | ) |

Sets the relative latency of the wet signal path compared to the dry signal path, and thus the amount of latency compensation that will be added to the dry samples in this processor.

Definition at line 65 of file juce_DryWetMixer.cpp.

## ◆ setWetMixProportion()

template<typename SampleType >

void juce::dsp::DryWetMixer< SampleType >::setWetMixProportion | ( | SampleType | newWetMixProportion | ) |

Sets the current dry/wet mix proportion, with 0.0 being full dry and 1.0 being fully wet.

Definition at line 56 of file juce_DryWetMixer.cpp.

The documentation for this class was generated from the following files:

- juce_DryWetMixer.h
- juce_DryWetMixer.cpp